{% extends "admin/base_site.html" %}
{% load i18n admin_static admin_list %}
{% load url from future %}
{% load admin_urls %}

{% block extrahead %}{{ block.super }}
{% url 'admin:jsi18n' as jsi18nurl %}
  <script type="text/javascript" src="{{ jsi18nurl|default:'../../jsi18n/' }}"></script>
<link rel="stylesheet" type="text/css" href="{% static 'admin/css/changelists.css' %}" />
<link rel="stylesheet" type="text/css" href="{% static 'admin/css/forms.css' %}" />
<script type="text/javascript" src="{% static 'custom/js/Pagos/ventana_popup.js' %}"></script>
{% endblock %}

{% block bodyclass %}change-list{% endblock %}
  {% block breadcrumbs %}
    <div class="breadcrumbs">
      <a href="../../../../">
        {% trans "Inicio" %} &rsaquo;
      </a>
      <a href="../../">
          {% trans "Matrícula de Cursos UDL" %} &rsaquo;
      </a>
      <a href="../periodo/{{ matriculado.Periodo.id }}/">
          {% trans "Matriculados" %} &rsaquo;
      </a>
          {{ matriculado.Alumno|escape }}
    </div>
  {% endblock %}

{% block title %} {% trans 'Matrícula de Cursos UDL' %} {% endblock %}

{% block coltype %}flex{% endblock %}

{% block content %}

<fieldset class="module aligned">
<h2>Datos del Alumno Matriculado</h2>
<div class="form-row">
        <div class="field-box">
                <label class="required" >Alumno:</label>
                {{ matriculado.Alumno|escape }}
        </div>
        <div class="field-box">
                <label class="required inline" >Matrícula:</label>
                {{ matriculado.Periodo }}
        </div>
        <div class="field-box">
                <label class="required inline" >Carrera:</label>
                {{ matriculado.Alumno.Carrera|escape }}
        </div>
</div>
<div class="form-row">
        <div class="field-box">
                <label class="required" >Categoría:</label>
                {{ matriculado.Categoria }}
        </div>
        <div class="field-box">
                <label class="required" >Estado:</label>
                {{ matriculado.Estado }}
        </div>
</div>
</fieldset>
<fieldset class="module aligned">
<h2>Datos del Apoderado</h2>
<div class="form-row">
        <div class="field-box">
                <label class="required inline" >Apoderado:</label>
                {{ matriculado.Alumno.Parentesco.Apoderado }}
        </div>
        <div class="field-box">
                <label class="required inline" >Teléfono:</label>
                {{ matriculado.Alumno.Parentesco.TelfTutor }}
        </div>
        <div class="field-box">
                <label class="required inline" >Celular:</label>
                {{ matriculado.Alumno.Parentesco.CelTutor }}
        </div>
        <div class="field-box">
                <label class="required inline" >Telf. Trabajo:</label>
                {{ matriculado.Alumno.Parentesco.TelfOcupTutor }}
        </div>
</div>
<div class="form-row">
        <div class="field-box">
                <label class="required inline" >Dirección:</label>
                {{ matriculado.Alumno.Parentesco.DirTutor }}
        </div>
        <div class="field-box">
                <label class="required inline" >Dir. Tutor:</label>
                {{ matriculado.Alumno.Parentesco.DirOcupTutor }}
        </div>
</div>
</fieldset>

<div id="content-main">
  <h2>Cursos Llevados del Alumno Matriculado</h2>
  {% block object-tools %}
        <ul class="object-tools">
          {% if perms.Matriculas.add_matriculacursos %}
          <li>
            <a id="lookup_id_PeriodoCurso" class="addlink" onclick="return abrir_popup('../../addcursos/{{ matriculado.id }}/');" href="../../addcursos/{{ matriculado.id }}/">
              {% trans 'Asignar Curso(s)' %}
            </a>
          </li>
          {% endif %}
          {% if perms.Matriculas.add_matriculacursos %}
          <li>
            <a id="lookup_id_AsistentePeriodoCurso" class="addlink" onclick="return abrir_popup('../../asistenteaddcursos/{{ matriculado.id }}/');" href="../../asistenteaddcursos/{{ matriculado.id }}/">
              {% trans 'Asistente para Asignar Curso(s)' %}
            </a>
          </li>
          {% endif %}
        </ul>
  {% endblock %}
    <div class = "module filtered" id="changelist" >
      <div id="toolbar">
        <form id="changelist-search" action="" method="get">
        <div><!-- DIV needed for valid HTML -->
          <label for="searchbar"><img src="{% static 'admin/img/icon_searchbox.png' %}" alt="Search" /></label>
          <input type="text" size="40" name="q" value="{{ query|escape }}" id="searchbar" />
          {% if query1 %}
          <input type="hidden" name="p" value="{{ query1|escape }}"/>
          {% endif %}
          <input type="submit" value="{% trans 'Search' %}" />
        </div>
        </form>
      </div>
      <script type="text/javascript">document.getElementById("searchbar").focus();</script>

      {% block filters %}
          <div id="changelist-filter">
            <h2>{% trans 'Filter' %}</h2>
            <h3> {% trans 'Por Estado del Curso' %}</h3>
                <ul>
                <li {% if not query %}{% if not query1 %}class="selected"{% else %}{% endif %}{% else %}{% endif %}><a href="?">Todos/as</a></li>
                <li {% ifequal query1 "1" %}class="selected"{% endifequal %}><a href="?{% if query %}q={{ query }}&{% endif %}p=1">Activado</a></li>
                <li {% ifequal query1 "0" %}class="selected"{% endifequal %} ><a href="?{% if query %}q={{ query }}&{% endif %}p=0">Dsactivado</a></li>
                </ul>
          </div>
      {% endblock %}
    {% block result_list %}
        {% if query %}
            <h2>{% trans 'Resultados para' %} "{{ query|escape }}":</h2>
        {% endif %}
        
        {% if cursos %}
        <div class='results'>
        <table id='result_list'>
        <THEAD>
            <TR>
            <TH class='action-checkbox-column' >&rsaquo;</TH>
            <TH><div class='text'><span>{% trans 'Curso' %}</span></div></TH>
            <TH><div class='text'><span>{% trans 'Carrera' %}</span></div></TH>
            <TH><div class='text'><span>{% trans 'Ciclo' %}</span></div></TH>
            <TH><div class='text'><span>{% trans 'Código' %}</span></div></TH>
            <TH><div class='text'><span>{% trans 'Grupo Horario' %}</span></div></TH>
            <TH><div class='text'><span>{% trans 'Docente' %}</span></div></TH>
            <TH><div class='text'><span>{% trans 'Fecha Matrícula' %}</span></div></TH>
            <TH><div class='text'><span>{% trans 'Convalidado' %}</span></div></TH>
            <TH><div class='text'><span>{% trans 'Aprobado' %}</span></div></TH>
            <TH><div class='text'><span>{% trans 'Activada' %}</span></div></TH>
            <TH><div class='text'><span>{% trans 'Encuesta' %}</span></div></TH>
                {% if perms.Matriculas.change_matriculacursos %}
                    <TH><div class='text'><span>{% trans 'Acción' %}</span></div></TH>
                {% endif %}
                {% if perms.Matriculas.delete_matriculacursos %}
                    <TH><div class='text'><span>{% trans 'Acción' %}</span></div></TH>
                {% endif %}
            </TR>
        </THEAD>
        <TBODY>
            {% for curso in cursos %}
                <TR class="{% cycle 'row1' 'row2' %}">
                <TD>&rsaquo;</TD>
                <TD><a href="../detalle/{{ curso.id }}/" onclick="return abrir_popup('../detalle/{{ curso.id }}/');" >{{ curso.PeriodoCurso.Curso.Nombre|escape }}</a></TD>
                <TD>{{ curso.PeriodoCurso.Curso.Carrera.Codigo|escape }}</TD>
                <TD>{{ curso.PeriodoCurso.Curso.Ciclo|escape }}º Ciclo</TD>
                <TD>{{ curso.PeriodoCurso.Curso.Codigo|escape }}</TD>
                <TD>{{ curso.PeriodoCurso.Grupo|escape }}</TD>
                <TD>{{ curso.PeriodoCurso.Docente|escape }}</TD>
                <TD>{{ curso.FechaMatricula|escape }}</TD>
                <TD>
                    {% if curso.Convalidado %}
                        <img alt="1" src="{% static 'admin/img/icon-yes.gif' %}"/>
                        DECR. Nº {{ curso.Resolucion|escape }}
                    {% else %}
                        <img alt="0" src="{% static 'admin/img/icon-no.gif' %}"/>
                        {{ curso.Resolucion|escape }}
                    {% endif %}
                </TD>
                <TD>
                    {% if curso.aprobado %}
                        <img alt="1" src="{% static 'admin/img/icon-yes.gif' %}"/>
                    {% else %}
                        <img alt="0" src="{% static 'admin/img/icon-no.gif' %}"/>
                    {% endif %}
                </TD>
                <TD>
                    {% if curso.Estado %}
                        <img alt="1" src="{% static 'admin/img/icon-yes.gif' %}"/>
                    {% else %}
                    <img alt="0" src="{% static 'admin/img/icon-no.gif' %}"/>
                    {% endif %}
                </TD>
                <TD>
                    {% if curso.Encuesta %}
                        <img alt="1" src="{% static 'admin/img/icon-yes.gif' %}"/>
                    {% else %}
                    <img alt="0" src="{% static 'admin/img/icon-no.gif' %}"/>
                    {% endif %}
                </TD>
                {% if perms.Matriculas.change_matriculacursos %}
                    <TD><a class="changelink" href="../editar/{{ curso.id|escape }}/"  onclick="return abrir_popup('../editar/{{ curso.id|escape }}/');"></a></TD>
                {% endif %}
                    
                {% if perms.Matriculas.delete_matriculacursos %}
                    <TD><a class="deletelink" href="../{{ curso.id|escape }}/delete/"  onclick="return abrir_popup('../{{ curso.id|escape }}/delete/');"></a></TD>
                {% endif %}
                </TR>
            {% endfor %}
        </TBODY>
        </table>
    </div>
        {% else %}
        <p>{% trans 'No se encontraron coincidencias' %}</p>
        {% endif %}
      {% endblock %}
    </div>
  </div>
{% endblock %}